﻿@model APIFestival.Models.Festival

@{
    ViewData["Title"] = "Votre festival en détails";
   // Festivalier festConnecte = ((Festivalier)ViewData["festConnecte"]);
    Festival festivalDeFestConnecte = ((Festival)ViewData["festivalDeFestConnecte"]);
    int NombresInscrits = (int)ViewData["NombresInscrits"];
    
}

<div>
    <h4>@Html.DisplayFor(model => model.Nom)</h4>
    <p> @Html.DisplayFor(model => model.Description)</p>
    <hr />
    <dl class="row">

        <dt class="col-sm-2">
            Lieu :
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Lieu)
        </dd>
        <dt class="col-sm-2">
            Tarif :
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.TarifJournee)
        </dd>
        <dt class="col-sm-2">
            Hébergements disponibles :
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Hebergement)
        </dd>
        <dt class="col-sm-2">
            Débute le :
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.DateDeDebut)
        </dd>
        <dt class="col-sm-2">
            Termine le :
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.DateDeFin)
        </dd>
        <dt class="col-sm-2">
            Nombres de places disponibles :
        </dt>
        <dd class="col-sm-10">
            @NombresInscrits / @Html.DisplayFor(model => model.NombreDePlaces)
        </dd>

      
        
    </dl>
</div>
<hr />
Programmation du festival 
<br />
<br />
<hr />

<div class="row">


    @if (@Model.InscriptionsOuvertesOuNOn == false)
    {
        <p>Les insriptions pour ce festival n'ont pas encore été ouvertes... Veuillez revenir ultérieurement.</p>
    }
    @if (@NombresInscrits == @Model.NombreDePlaces)
    {
        <p>Désolé!!!! Toutes les places pour ce festival ont été prises.</p>
    }
    else if(@Model.InscriptionsOuvertesOuNOn == true)
    {
        <a data-toggle="collapse" href="#collapsePrendreSaPlace" class="col-md-3">
            Prendre ma place !
        </a>
    }
    <div class="collapse card bg-light col-md-8" id="collapsePrendreSaPlace">
        <!-- Pour le format de date, voir https://docs.microsoft.com/en-us/dotnet/standard/base-types/custom-date-and-time-format-strings?view=netcore-3.1 -->
        <form class="form-inline p-2" action="../ValidationCommande" method="post">
            <div class="form-group">
                <label for="dateDebutFormule" class="mr-3">Date de début : </label>
                <input type="date" class="form-group form-group-sm" id="dateDebutFormule" name="dateDebutFormule" min="@Model.DateDeDebut.ToString("yyyy-MM-dd")" max="@Model.DateDeFin.ToString("yyyy-MM-dd")" value="@Model.DateDeDebut.ToString("yyyy-MM-dd")" required>
            </div>
            <div class="form-group">
                <label for="dateFinFormule" class="mx-3">Date de fin : </label>
                <input type="date" class="form-group form-group-sm" id="dateFinFormule" name="dateFinFormule" min="@Model.DateDeDebut.ToString("yyyy-MM-dd")" max="@Model.DateDeFin.ToString("yyyy-MM-dd")" value="@Model.DateDeFin.ToString("yyyy-MM-dd")" required>
            </div>
            <input type="hidden" name="idFestival" value="@Model.Id" />
            <button type="submit" class="btn btn-dark mx-auto">Valider</button>
        </form>
    </div>
</div>
<hr />

<div>
    <a asp-action="ListeFestivals">Back to List</a>
</div>
